Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead33RetryManyAsyncMethodBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead33RetryManyAsyncMethodBean

@ApplicationScoped public class Bulkhead33RetryManyAsyncMethodBean extends Object
Tests to ensure that BulkheadExceptions are retried

Has a bulkhead size of 3 and a queue size of 3

Retries on all exceptions for 3 seconds

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead33RetryManyAsyncMethodBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead33RetryManyAsyncMethodBean

public Bulkhead33RetryManyAsyncMethodBean()

## Method Details

### test

@Asynchronous @Bulkhead(value=3, waitingTaskQueue=3) @Retry(maxRetries=99999, maxDuration=3000L, delay=100L, jitter=0L) public Future<?> test(Barrier barrier)